=== tests/unittests/CMakeLists.txt ===
add_subdirectory(command-line-parser)
add_subdirectory(imaging)
add_subdirectory(mediamonitor)
add_subdirectory(mediaobjectfactory)
add_subdirectory(resource)
add_subdirectory(video)
