## gallery-app 0.0.67+13.10.20131011.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,6 @@
     ENABLE_COVERAGE_REPORT(TARGETS ${SHELL_APP})
 endif()
 
-find_package(Qt5Core)
 find_package(Qt5Gui)
 find_package(Qt5Qml)
 find_package(Qt5Quick)
@@ -39,46 +38,41 @@
 endif()
 
 find_package(PkgConfig REQUIRED)
+pkg_check_modules(CONTENTHUB REQUIRED libcontent-hub)
 pkg_check_modules(EXIV2 REQUIRED exiv2)
+pkg_check_modules(GSTLIB REQUIRED gstreamer-0.10)
 pkg_check_modules(MEDIAINFO REQUIRED libmediainfo)
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Werror")
-set(CMAKE_EXE_LINKER_FLAGS "-s")
-
-find_program(INTLTOOL_MERGE intltool-merge)
-find_program(INTLTOOL_EXTRACT intltool-extract)
 
 # Standard install paths
 include(GNUInstallDirs)
 
-option(INSTALL_TESTS "Install the tests on make install" off)
-option(CLICK_MODE "Installs to a contained location" on)
+option(INSTALL_TESTS "Install the tests on make install" on)
+option(CLICK_MODE "Installs to a contained location" off)
 
 set(GALLERY gallery-app)
 set(DESKTOP_FILE ${GALLERY}.desktop)
-set(AUTOPILOT_DIR gallery_app)
-set(UBUNTU_MANIFEST_PATH "click/manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")
-
-# make non compiled files visible in qtcreator
-file(GLOB_RECURSE NON_COMPILED_FILES *.qml *.js *.py *.svg *.png *.in *.json *.desktop *.pot *.apparmor qmldir)
-add_custom_target(NON_COMPILED_TARGET ALL SOURCES ${NON_COMPILED_FILES})
 
 if(CLICK_MODE)
-    if(NOT DEFINED BZR_SOURCE)
-        set(BZR_SOURCE "lp:gallery-app")
-    endif(NOT DEFINED BZR_SOURCE)
     set(APP_PACKAGE_NAME "com.ubuntu.gallery")
     set(CMAKE_INSTALL_PREFIX /)
     set(CMAKE_INSTALL_BINDIR /)
     set(GALLERY_DIR "")
-    add_definitions("-DCLICK_MODE=1")
+    set(CLICK_TAG click)
 else(CLICK_MODE)
     set(GALLERY_DIR ${CMAKE_INSTALL_DATADIR}/${GALLERY})
 endif(CLICK_MODE)
 
+
 # for dh_translations to extract the domain
 # (regarding syntax consistency, see http://pad.lv/1181187)
 set (GETTEXT_PACKAGE "${GALLERY}")
+
+file(GLOB_RECURSE I18N_SRC_FILES
+     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
+     rc/**.qml desktop/**.desktop.in)
+list(SORT I18N_SRC_FILES)
 
 # Tests
 enable_testing()
