=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 add_subdirectory(database)
 add_subdirectory(event)
 add_subdirectory(media)
-add_subdirectory(photoeditor)
 add_subdirectory(medialoader)
 add_subdirectory(photo)
 add_subdirectory(qml)
@@ -27,7 +26,6 @@
     ${gallery_event_src_SOURCE_DIR}
     ${gallery_album_src_SOURCE_DIR}
     ${gallery_photo_src_SOURCE_DIR}
-    ${gallery_photoeditor_src_SOURCE_DIR}
     ${gallery_video_src_SOURCE_DIR}
     ${gallery_qml_src_SOURCE_DIR}
     ${CMAKE_BINARY_DIR}
@@ -52,7 +50,7 @@
     ${gallery_SRCS}
     )
 
-qt5_use_modules(${GALLERY} Widgets Core Qml Quick Sql DBus Gui)
+qt5_use_modules(${GALLERY} Widgets Core Qml Quick Sql)
 
 target_link_libraries( ${GALLERY}
     gallery-album
@@ -62,7 +60,6 @@
     gallery-media
     gallery-medialoader
     gallery-photo
-    gallery-photoeditor
     gallery-qml
     gallery-util
     gallery-video
