=== tests/unittests/mediaobjectfactory/CMakeLists.txt ===
--- 
+++ 
@@ -14,17 +14,19 @@
     ${gallery_media_src_SOURCE_DIR}
     ${gallery_medialoader_src_SOURCE_DIR}
     ${gallery_photo_src_SOURCE_DIR}
-    ${gallery_photoeditor_src_SOURCE_DIR}
     ${gallery_util_src_SOURCE_DIR}
     ${gallery_video_src_SOURCE_DIR}
     )
 
-QT5_WRAP_CPP(MEDIAOBJECTFACTORY_MOCS
+QT_WRAP_CPP(mediaobjectfactory MEDIAOBJECTFACTORY_MOCS
     ${gallery_src_SOURCE_DIR}/gallery-manager.h
     ${gallery_database_src_SOURCE_DIR}/album-table.h
     ${gallery_database_src_SOURCE_DIR}/database.h
     ${gallery_database_src_SOURCE_DIR}/media-table.h
-    ${gallery_photoeditor_src_SOURCE_DIR}/photo-metadata.h
+    ${gallery_database_src_SOURCE_DIR}/photo-edit-table.h
+    ${gallery_medialoader_src_SOURCE_DIR}/gallery-standard-image-provider.h
+    ${gallery_medialoader_src_SOURCE_DIR}/photo-metadata.h
+    ${gallery_medialoader_src_SOURCE_DIR}/preview-manager.h
     ${gallery_medialoader_src_SOURCE_DIR}/video-metadata.h
     ${gallery_photo_src_SOURCE_DIR}/photo.h
     )
@@ -36,9 +38,13 @@
     ../stubs/database_stub.cpp
     ../stubs/media-table_stub.cpp
     ../stubs/photo_stub.cpp
-    ../stubs/video_stub.cpp
+    ../stubs/photo-caches_stub.cpp
+    ../stubs/photo-edit-table_stub.cpp
     ../stubs/photometa-data_stub.cpp
+    ../stubs/preview-manager_stub.cpp
     ../stubs/video-metadata_stub.cpp
+    ../stubs/gallery-standard-image-provider_stub.cpp
+    ../stubs/gallery-thumbnail-image-provider_stub.cpp
     ../stubs/gallery-manager_stub.cpp
     ${MEDIAOBJECTFACTORY_MOCS}
     )
@@ -47,7 +53,7 @@
 add_test(mediaobjectfactory mediaobjectfactory -xunitxml -o test_video.xml)
 set_tests_properties(mediaobjectfactory PROPERTIES
     TIMEOUT ${CTEST_TESTING_TIMEOUT}
-    ENVIRONMENT "QT_QPA_PLATFORM=minimal;TZ=Pacific/Auckland"
+    ENVIRONMENT "QT_QPA_PLATFORM=minimal"
     )
 
 target_link_libraries(mediaobjectfactory
