=== tests/unittests/video/CMakeLists.txt ===
--- 
+++ 
@@ -19,16 +19,20 @@
     ${gallery_media_src_SOURCE_DIR}
     ${gallery_medialoader_src_SOURCE_DIR}
     ${gallery_photo_src_SOURCE_DIR}
-    ${gallery_photoeditor_src_SOURCE_DIR}
     ${gallery_qml_src_SOURCE_DIR}
     ${gallery_util_src_SOURCE_DIR}
     ${gallery_video_src_SOURCE_DIR}
+    )
+
+QT_WRAP_CPP(mediaobjectfactory TST_VIDEO_MOCS
+    ${gallery_src_SOURCE_DIR}/content-communicator.h
     )
 
 add_executable(video
     tst_video.cpp
     ${gallery_src_SOURCE_DIR}/gallery-manager.cpp
     ${gallery_src_SOURCE_DIR}/media-object-factory.cpp
+    ../stubs/content-communicator_stub.cpp
     ${TST_VIDEO_MOCS}
     )
 
@@ -47,8 +51,8 @@
     gallery-media
     gallery-medialoader
     gallery-photo
-    gallery-photoeditor
     gallery-qml
     gallery-util
     gallery-video
+    "content-hub"
     )
