## gallery-app 0.0.67+14.04.20140408.1

=== click/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,6 @@
     configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json
             DESTINATION ${CMAKE_INSTALL_PREFIX})
-    install(FILES gallery-apparmor.json
+    install(FILES gallery-apparmor.json gallery-content.json
             DESTINATION ${CMAKE_INSTALL_PREFIX})
 endif(CLICK_MODE)
