=== tests/unittests/gallerystandardimageprovider/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,7 @@
     ${gallery_util_src_SOURCE_DIR}
     )
 
-QT_WRAP_CPP(gallerystandardimageprovider GALLERYSTANDARDIMAGEPROVIDIER_MOCS
-    ${gallery_medialoader_src_SOURCE_DIR}/preview-manager.h
+QT5_WRAP_CPP(GALLERYSTANDARDIMAGEPROVIDIER_MOCS
     ${gallery_medialoader_src_SOURCE_DIR}/photo-metadata.h
     )
 
@@ -22,7 +21,6 @@
     tst_gallerystandardimageprovidertest.cpp
     ${gallery_src_SOURCE_DIR}/medialoader/gallery-standard-image-provider.cpp
     ../stubs/orientation_stub.cpp
-    ../stubs/preview-manager_stub.cpp
     ../stubs/photometa-data_stub.cpp
     ${GALLERYSTANDARDIMAGEPROVIDIER_MOCS}
     )
