=== tests/unittests/mediaobjectfactory/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
     ${gallery_video_src_SOURCE_DIR}
     )
 
-QT_WRAP_CPP(mediaobjectfactory MEDIAOBJECTFACTORY_MOCS
+QT5_WRAP_CPP(MEDIAOBJECTFACTORY_MOCS
     ${gallery_src_SOURCE_DIR}/gallery-manager.h
     ${gallery_database_src_SOURCE_DIR}/album-table.h
     ${gallery_database_src_SOURCE_DIR}/database.h
@@ -26,7 +26,6 @@
     ${gallery_database_src_SOURCE_DIR}/photo-edit-table.h
     ${gallery_medialoader_src_SOURCE_DIR}/gallery-standard-image-provider.h
     ${gallery_medialoader_src_SOURCE_DIR}/photo-metadata.h
-    ${gallery_medialoader_src_SOURCE_DIR}/preview-manager.h
     ${gallery_medialoader_src_SOURCE_DIR}/video-metadata.h
     ${gallery_photo_src_SOURCE_DIR}/photo.h
     )
@@ -38,13 +37,12 @@
     ../stubs/database_stub.cpp
     ../stubs/media-table_stub.cpp
     ../stubs/photo_stub.cpp
+    ../stubs/video_stub.cpp
     ../stubs/photo-caches_stub.cpp
     ../stubs/photo-edit-table_stub.cpp
     ../stubs/photometa-data_stub.cpp
-    ../stubs/preview-manager_stub.cpp
     ../stubs/video-metadata_stub.cpp
     ../stubs/gallery-standard-image-provider_stub.cpp
-    ../stubs/gallery-thumbnail-image-provider_stub.cpp
     ../stubs/gallery-manager_stub.cpp
     ${MEDIAOBJECTFACTORY_MOCS}
     )
