## gallery-app 0.0.67+14.04.20140502-0ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
     ENABLE_COVERAGE_REPORT(TARGETS ${SHELL_APP})
 endif()
 
+find_package(Qt5Core)
 find_package(Qt5Gui)
 find_package(Qt5Qml)
 find_package(Qt5Quick)
@@ -40,7 +41,6 @@
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(CONTENTHUB REQUIRED libcontent-hub)
 pkg_check_modules(EXIV2 REQUIRED exiv2)
-pkg_check_modules(GSTLIB REQUIRED gstreamer-0.10)
 pkg_check_modules(MEDIAINFO REQUIRED libmediainfo)
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Werror")
@@ -55,19 +55,21 @@
 set(DESKTOP_FILE ${GALLERY}.desktop)
 
 if(CLICK_MODE)
+    if(NOT DEFINED BZR_SOURCE)
+        set(BZR_SOURCE "lp:gallery-app")
+    endif(NOT DEFINED BZR_SOURCE)
     set(APP_PACKAGE_NAME "com.ubuntu.gallery")
     set(CMAKE_INSTALL_PREFIX /)
     set(CMAKE_INSTALL_BINDIR /)
     set(GALLERY_DIR "")
-    set(CLICK_TAG click)
+    set(GETTEXT_PACKAGE "${APP_PACKAGE_NAME}")
+    add_definitions("-DCLICK_MODE=1")
 else(CLICK_MODE)
     set(GALLERY_DIR ${CMAKE_INSTALL_DATADIR}/${GALLERY})
+	# for dh_translations to extract the domain
+	# (regarding syntax consistency, see http://pad.lv/1181187)
+	set (GETTEXT_PACKAGE "${GALLERY}")
 endif(CLICK_MODE)
-
-
-# for dh_translations to extract the domain
-# (regarding syntax consistency, see http://pad.lv/1181187)
-set (GETTEXT_PACKAGE "${GALLERY}")
 
 file(GLOB_RECURSE I18N_SRC_FILES
      RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
